@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix schema: <http://schema.org/> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix dash: <http://datashapes.org/dash#> .
@prefix foaf: <http://xmlns.com/foaf/0.1/> .
@prefix vcard: <http://www.w3.org/2006/vcard/ns#> .
@prefix ex: <http://example.com/> .

# Parameter-shapes voor kwartaalwaarden. De parameter biedt de gebruiker twee selectievelden: een voor de kwartaalwaarde en een voor het jaar. 
# Deze twee parameterwaarden moeten binnen de SPARQL-query aan elkaar worden gekoppeld.
ex:QuarterValuePickListWithYear
    a sh:NodeShape ;
    sh:targetClass ex:QueryParameter ;
    rdfs:label "Kwartaal- en jaarwaarden" ;
    rdfs:comment "Een shape met twee eigenschappen: een om een keuzelijstveld te creeren waarmee de gebruiker een filter op een kwartaal kan specificeren, en een tweede voor handmatige invoer om het jaar te specificeren."@nl ;
    sh:property [
          sh:path ex:kwartaal ;
          sh:name "kwartaal";
          sh:description "De keuzelijst met waarden voor kwartalen."@nl ;
          sh:maxCount 1 ;
          sh:minCount 1 ;
          sh:datatype xsd:string ;
          sh:in ("Q1" "Q2" "Q3" "Q4")
      ] ;
    sh:property [
          sh:path ex:jaar ;
          sh:name "jaar";
          sh:description "Handmatige invoer van de jaarwaarde na de kwartaalwaarden."@nl ;
          sh:maxCount 1 ;
          sh:minCount 1 ;
          sh:datatype xsd:gYear ;
          sh:maxInclusive "2030"^^xsd:gYear ;
          sh:minInclusive "2024"^^xsd:gYear ;
      ]
.

# De volgende SHACL shape definieert de invoerparameter voor Zorgkantoor IRI.
ex:Zorgkantoor
    a sh:NodeShape ;
    sh:targetClass ex:QueryParameter ;
    rdfs:label "Zorgkantoor" ;
    rdfs:comment "Een shape voor het kunnen meegeven van de specifieke zorgkantoor IRI."@nl ;
    sh:property [
          sh:path ex:zorgkantoor ;
          sh:name "zorgkantoor" ;
          sh:description "De betreffende IRI van het zorgkantoor."@nl ;
          sh:maxCount 1 ;
          sh:minCount 1 ;
          sh:datatype xsd:string ;
          sh:in (
              "http://purl.org/ozo/onz-org#ZorgkantoorCZ"
              "http://purl.org/ozo/onz-org#ZorgkantoorDSW"
              "http://purl.org/ozo/onz-org#ZorgkantoorFriesland"
              "http://purl.org/ozo/onz-org#ZorgkantoorMenzis"
              "http://purl.org/ozo/onz-org#ZorgkantoorMiddenIJssel"
              "http://purl.org/ozo/onz-org#ZorgkantoorVGZ"
              "http://purl.org/ozo/onz-org#ZorgkantoorZilverenKruis"
              "http://purl.org/ozo/onz-org#ZorgkantoorZorgEnZekerheid"
          ) ;
    ]
.
